Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.edr.jms
Class JMSConnector

    java.lang.Object
      com.bea.wlcp.wlng.api.edr.jms.JMSConnector

public class JMSConnector
extends Object

This class provides methods to create JMS session and topic to the Edr topic.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `NON_TRANSACTIONAL_FACTORY` Non-transaction factory
`static String` | `TRANSACTIONAL_FACTORY` Transaction factory (not used in Melitta)

Constructor Summary
`JMSConnector()`
`JMSConnector(Context ctx)`

Method Summary
`void` | `close()`
`TopicSession` | `createSession(String factory)` Creates a session to the given factory
`static String` | `getEdrTopicName()` Returns the name of the EdrTopic of the current server.
`TopicConnection` | `getTopicConnection()` Returns the topic connection previously created
`Topic` | `lookupTopic(TopicSession session, String topicName)` Lookup the given topic name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NON_TRANSACTIONAL_FACTORY

    public static final String NON_TRANSACTIONAL_FACTORY

  Non-transaction factory

  See Also:
    Constant Field Values

### TRANSACTIONAL_FACTORY

    public static final String TRANSACTIONAL_FACTORY

  Transaction factory (not used in Melitta)

  See Also:
    Constant Field Values

Constructor Detail

### JMSConnector

    public JMSConnector()

### JMSConnector

    public JMSConnector(Context ctx)

Method Detail

### close

    public void close()
               throws JMSException

  Throws:
    `JMSException`

### createSession

    public TopicSession createSession(String factory)
                               throws NamingException,
                                      JMSException

  Creates a session to the given factory

  Throws:
    `NamingException`
    `JMSException`

### getEdrTopicName

    public static String getEdrTopicName()

  Returns the name of the EdrTopic of the current server. This method should not be called outside the WLNG (i.e. unit tests).

  Returns:
    The JNDI name of the EdrTopic of the current instance of the WLNG

### getTopicConnection

    public TopicConnection getTopicConnection()

  Returns the topic connection previously created

  Returns:
    The topic connection

### lookupTopic

    public Topic lookupTopic(TopicSession session,
                             String topicName)
                      throws NamingException

  Lookup the given topic name

  Parameters:
    `session` - The topic session
    `topicName` - The topic name
  Returns:
    The topic
  Throws:
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD